import model.UserAuthorize
import model.Roles
import java.awt.Checkbox
import java.time.LocalDate
import kotlin.system.exitProcess

val authorizeList = mutableListOf<UserAuthorize>()
fun main() {
    val userLogin = readlnOrNull()
    registration()
    authorizeList.add(registration())
    authorizeList.forEach{
        println()
    }
}


fun registration() : UserAuthorize {
    print("Введите никнейм: ")
    val userLogin = readlnOrNull()
    checkNotNull(userLogin)
    require(userLogin.length >= 4) {
        "Никнейм больше 4 символов"
    }


    print("Введите пароль: ")
    val userPassword = readlnOrNull()
    checkNotNull(userPassword)

    userPassword.forEach {
        require(it.isLetterOrDigit())
        require(userPassword.length >= 8)
    }

    println()
    print("Повторите пароль: ")
    var secondUserPassword = ""
    while (secondUserPassword != userPassword) {
        secondUserPassword = readln()
        checkNotNull(secondUserPassword)
        if (secondUserPassword != userPassword) {
            println("Пароли не совпадают")
        }
    }


    println()
    print("Введите почту: ")
    val userEmail = readlnOrNull()
    checkNotNull(userEmail)
    require("@" in userEmail)

    println()
    print("Введите номер телефона: ")
    var userPhone = readlnOrNull()
    checkNotNull(userPhone)
    require(userPhone.startsWith("89") && userPhone.length == 11)


        return UserAuthorize(
            authorizeList.size + 1,
            password = userPassword,
            login = userLogin,
            lastAuthorizeDate = LocalDate.now(),
            email = userEmail,
            phone = userPhone
        )
}